export type Commitment = 'confirmed' | 'finalized' | 'processed';
export type DataSlice = Readonly<{
    offset: number;
    length: number;
}>;
export type LamportsUnsafeBeyond2Pow53Minus1 = bigint & {
    readonly __lamports: unique symbol;
};
export type Slot = U64UnsafeBeyond2Pow53Minus1;
export type U64UnsafeBeyond2Pow53Minus1 = bigint;
export type RpcResponse<TValue> = Readonly<{
    context: Readonly<{
        slot: Slot;
    }>;
    value: TValue;
}>;
//# sourceMappingURL=common.d.ts.map