import { createSolanaRpcApi } from './rpc-methods';
import { KeyPath } from './response-patcher';
/**
 * These are keypaths at the end of which you will find a numeric value that should *not* be upcast
 * to a `bigint`. These are values that are legitimately defined as `u8` or `usize` on the backend.
 */
export declare const ALLOWED_NUMERIC_KEYPATHS: Partial<Record<keyof ReturnType<typeof createSolanaRpcApi>, readonly KeyPath[]>>;
//# sourceMappingURL=response-patcher-allowed-numeric-values.d.ts.map